Bug 4192 - [UPDATE REQUEST] drakxtools-14.47-11
: [UPDATE REQUEST] drakxtools-14.47-11
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-04 20:19 MSD by Konstantin Vlasov
Modified: 2014-07-24 20:34 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
alex.burmashev: published+


Attachments
help window (7.39 KB, image/png)
2014-07-16 23:53 MSD, Alexander Petryakov
Details
Partitions map is absent after lvcreate (196.45 KB, image/png)
2014-07-17 00:05 MSD, Alexander Petryakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-07-04 20:19:09 MSD
Several bugs were fixed in installer/diskdrake:
1. Select RAID or Loopback tab as the current device, click Ext4/XFS/... button below the partitioning scheme - application crashes.
2. When RAID/Loopback device is selected, the Expert/Normal Mode button is missing.
3. When crypted LVM or RAID is created, its type was displayed incorrectly (usually "btrfs").
4. In Expert mode when user clicked "Clear all" for LVM, the GPT/MBR selection dialog was displayed, though it makes sense for HDs only.
Comment 1 Konstantin Vlasov 2014-07-04 20:19:33 MSD
https://abf.rosalinux.ru/build_lists/1986302
https://abf.rosalinux.ru/build_lists/1986303

Advisory: Several bugs fixed in installer/diskdrake.
Comment 2 Alexander Petryakov 2014-07-16 23:53:34 MSD
Created attachment 3060 [details]
help window

1. Select RAID or Loopback tab as the current device, click Ext4/XFS/... button below the partitioning scheme - application crashes.

After update - application NOT crashes, 
But, we have a different reaction on click, for ordinal sda1 and RAID/LVM.
If selected sda1 and click ext4 or other button below partitions map, we get popup windows with help (ala in attachment), but if click same button if selected raid/lvm partition - no action gotten. 

Is it correct?
Comment 3 Alexander Petryakov 2014-07-17 00:05:46 MSD
Created attachment 3061 [details]
Partitions map is absent after lvcreate
Comment 4 Konstantin Vlasov 2014-07-17 01:57:15 MSD
(In reply to comment #2)
> But, we have a different reaction on click, for ordinal sda1 and RAID/LVM.
> If selected sda1 and click ext4 or other button below partitions map, we get
> popup windows with help (ala in attachment), but if click same button if
> selected raid/lvm partition - no action gotten. 
> 
> Is it correct?

Yes.

Unfortunately, the diskdrake internals are not fit for working with RAIDs/Loopbacks this way (hence the former crash), so now these buttons are simply ignored. At first I tried to make them work normally, but it turned out to be quite a large task, and I don't think it's worth the effort (for now, at least).


(In reply to comment #3)
> Created attachment 3061 [details]
> Partitions map is absent after lvcreate

I didn't experience it in my tests. :-( Could you please give a step-by-step instruction of how you got this?
Comment 5 Alexander Petryakov 2014-07-17 10:37:03 MSD
http://youtu.be/Z0EyOoL2RJ8
after error - 
maps without fs type/size
swap changed to ext4 (i guess to default fs)
after restart lost one disk from raid
Comment 6 Konstantin Vlasov 2014-07-18 20:15:24 MSD
Thanks for the video.

However, this is not a regression, it's an older problem: I could reproduce it in version 14.47-10. I will try to locate and fix it, but it should be a separate bug report.
Comment 7 Alexander Petryakov 2014-07-20 01:06:58 MSD
drakxtools-14.47-11
https://abf.rosalinux.ru/build_lists/1986302
https://abf.rosalinux.ru/build_lists/1986303
************** Advisory **************
Several bugs fixed in installer/diskdrake.
**************************************
QA Verified